Intermittent GECKO(2211) | SUMMARY: AddressSanitizer: SEGV /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:338:56 in TimeSinceLastActiveContext

RESOLVED INCOMPLETE

Status

()

Core
XPConnect
P5
normal
RESOLVED INCOMPLETE
3 months ago
2 months ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 months ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=131064045&repo=autoland

https://queue.taskcluster.net/v1/task/fJDy7MEOQUeXsotl4zBIkA/runs/0/artifacts/public/logs/live_backing.log

[task 2017-09-14T15:37:29.217543Z] 15:37:29     INFO -  2905 INFO TEST-START | dom/file/tests/test_mozfiledataurl.html
[task 2017-09-14T15:37:33.971742Z] 15:37:33     INFO -  GECKO(2211) | MEMORY STAT | vsize 20973617MB | residentFast 375MB
[task 2017-09-14T15:37:33.988946Z] 15:37:33     INFO -  2906 INFO TEST-OK | dom/file/tests/test_mozfiledataurl.html | took 4778ms
[task 2017-09-14T15:37:34.110442Z] 15:37:34     INFO -  2907 INFO TEST-START | dom/file/tests/test_nonascii_blob_url.html
[task 2017-09-14T15:37:34.752018Z] 15:37:34     INFO -  GECKO(2211) | MEMORY STAT | vsize 20973613MB | residentFast 374MB
[task 2017-09-14T15:37:34.756659Z] 15:37:34     INFO -  2908 INFO TEST-OK | dom/file/tests/test_nonascii_blob_url.html | took 654ms
[task 2017-09-14T15:37:34.961310Z] 15:37:34     INFO -  2909 INFO TEST-START | Shutdown
[task 2017-09-14T15:37:34.964982Z] 15:37:34     INFO -  2910 INFO Passed:  3867
[task 2017-09-14T15:37:34.973492Z] 15:37:34     INFO -  2911 INFO Failed:  0
[task 2017-09-14T15:37:34.975513Z] 15:37:34     INFO -  2912 INFO Todo:    2
[task 2017-09-14T15:37:34.979004Z] 15:37:34     INFO -  2913 INFO Mode:    e10s
[task 2017-09-14T15:37:34.988072Z] 15:37:34     INFO -  2914 INFO Slowest: 18164ms - /tests/dom/file/tests/test_fileapi_slice.html
[task 2017-09-14T15:37:34.990528Z] 15:37:34     INFO -  2915 INFO SimpleTest FINISHED
[task 2017-09-14T15:37:34.994066Z] 15:37:34     INFO -  2916 INFO TEST-INFO | Ran 1 Loops
[task 2017-09-14T15:37:34.998310Z] 15:37:34     INFO -  2917 INFO SimpleTest FINISHED
[task 2017-09-14T15:37:36.473452Z] 15:37:36     INFO -  GECKO(2211) | *** UTM:SVC TimerManager:registerTimer called after profile-before-change notification. Ignoring timer registration for id: telemetry_modules_ping
[task 2017-09-14T15:37:39.861803Z] 15:37:39     INFO -  GECKO(2211) | ASAN:DEADLYSIGNAL
[task 2017-09-14T15:37:39.864226Z] 15:37:39     INFO -  GECKO(2211) | =================================================================
[task 2017-09-14T15:37:39.865853Z] 15:37:39    ERROR -  GECKO(2211) | ==2211==ERROR: AddressSanitizer: SEGV on unknown address 0x000000000240 (pc 0x7f89c6bf745d bp 0x7f897c95ddf0 sp 0x7f897c95dca0 T5)
[task 2017-09-14T15:37:39.882010Z] 15:37:39     INFO -  GECKO(2211) | ==2211==The signal is caused by a READ memory access.
[task 2017-09-14T15:37:39.883817Z] 15:37:39     INFO -  GECKO(2211) | ==2211==Hint: address points to the zero page.
[task 2017-09-14T15:37:40.468687Z] 15:37:40     INFO -  GECKO(2211) | -----------------------------------------------------
[task 2017-09-14T15:37:40.470473Z] 15:37:40     INFO -  GECKO(2211) | Suppressions used:
[task 2017-09-14T15:37:40.471721Z] 15:37:40     INFO -  GECKO(2211) |   count      bytes template
[task 2017-09-14T15:37:40.472903Z] 15:37:40     INFO -  GECKO(2211) |       8        256 libc.so
[task 2017-09-14T15:37:40.474126Z] 15:37:40     INFO -  GECKO(2211) |     696      22192 nsComponentManagerImpl
[task 2017-09-14T15:37:40.475393Z] 15:37:40     INFO -  GECKO(2211) |       6       1056 mozJSComponentLoader::LoadModule
[task 2017-09-14T15:37:40.476623Z] 15:37:40     INFO -  GECKO(2211) |     611      17713 libfontconfig.so
[task 2017-09-14T15:37:40.477971Z] 15:37:40     INFO -  GECKO(2211) |      12        416 style::gecko::global_style_data
[task 2017-09-14T15:37:40.481677Z] 15:37:40     INFO -  GECKO(2211) |       1         72 nss_ClearErrorStack
[task 2017-09-14T15:37:40.483601Z] 15:37:40     INFO -  GECKO(2211) |      16       2316 libglib-2.0.so
[task 2017-09-14T15:37:40.485421Z] 15:37:40     INFO -  GECKO(2211) | -----------------------------------------------------
[task 2017-09-14T15:37:41.834002Z] 15:37:41     INFO -  GECKO(2211) |     #0 0x7f89c6bf745c in TimeSinceLastActiveContext /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:338:56
[task 2017-09-14T15:37:41.836313Z] 15:37:41     INFO -  GECKO(2211) |     #1 0x7f89c6bf745c in WatchdogMain(void*) /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:480
[task 2017-09-14T15:37:41.854503Z] 15:37:41     INFO -  GECKO(2211) |     #2 0x7f89e04d74d3 in _pt_root /builds/worker/workspace/build/src/nsprpub/pr/src/pthreads/ptthread.c:216:5
[task 2017-09-14T15:37:41.871089Z] 15:37:41     INFO -  GECKO(2211) |     #3 0x7f89e47a86b9 in start_thread (/lib/x86_64-linux-gnu/libpthread.so.0+0x76b9)
[task 2017-09-14T15:37:42.053371Z] 15:37:42     INFO -  GECKO(2211) |     #4 0x7f89e38313dc in clone /build/glibc-bfm8X4/glibc-2.23/misc/../sysdeps/unix/sysv/linux/x86_64/clone.S:109
[task 2017-09-14T15:37:42.056454Z] 15:37:42     INFO -  GECKO(2211) | AddressSanitizer can not provide additional info.
[task 2017-09-14T15:37:42.061925Z] 15:37:42     INFO -  GECKO(2211) | SUMMARY: AddressSanitizer: SEGV /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:338:56 in TimeSinceLastActiveContext
[task 2017-09-14T15:37:42.063292Z] 15:37:42     INFO -  GECKO(2211) | Thread T5 (JS Watchdog) created by T0 here:
[task 2017-09-14T15:37:42.083246Z] 15:37:42     INFO -  GECKO(2211) |     #0 0x4a43b6 in __interceptor_pthread_create /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_interceptors.cc:245:3
[task 2017-09-14T15:37:42.086964Z] 15:37:42     INFO -  GECKO(2211) |     #1 0x7f89e04d4279 in _PR_CreateThread /builds/worker/workspace/build/src/nsprpub/pr/src/pthreads/ptthread.c:457:14
[task 2017-09-14T15:37:42.089434Z] 15:37:42     INFO -  GECKO(2211) |     #2 0x7f89e04d3e8e in PR_CreateThread /builds/worker/workspace/build/src/nsprpub/pr/src/pthreads/ptthread.c:548:12
[task 2017-09-14T15:37:42.091992Z] 15:37:42     INFO -  GECKO(2211) |     #3 0x7f89c6bf7186 in Watchdog::Init() /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:140:23
[task 2017-09-14T15:37:42.093379Z] 15:37:42     INFO -  GECKO(2211) |     #4 0x7f89c6bf6d18 in StartWatchdog /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:396:20
[task 2017-09-14T15:37:42.094778Z] 15:37:42     INFO -  GECKO(2211) |     #5 0x7f89c6bf6d18 in WatchdogManager::RefreshWatchdog() /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:373
[task 2017-09-14T15:37:42.113623Z] 15:37:42     INFO -  GECKO(2211) |     #6 0x7f89c6ba7e52 in RegisterContext /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:290:9
[task 2017-09-14T15:37:42.115588Z] 15:37:42     INFO -  GECKO(2211) |     #7 0x7f89c6ba7e52 in XPCJSContext::XPCJSContext() /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:917
[task 2017-09-14T15:37:42.117053Z] 15:37:42     INFO -  GECKO(2211) |     #8 0x7f89c6bb8754 in XPCJSContext::NewXPCJSContext(XPCJSContext*) /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp:1139:30
[task 2017-09-14T15:37:42.132999Z] 15:37:42     INFO -  GECKO(2211) |     #9 0x7f89c6c58e71 in nsXPConnect /builds/worker/workspace/build/src/js/xpconnect/src/nsXPConnect.cpp:74:27
[task 2017-09-14T15:37:42.134595Z] 15:37:42     INFO -  GECKO(2211) |     #10 0x7f89c6c58e71 in nsXPConnect::InitStatics() /builds/worker/workspace/build/src/js/xpconnect/src/nsXPConnect.cpp:121
[task 2017-09-14T15:37:42.136073Z] 15:37:42     INFO -  GECKO(2211) |     #11 0x7f89c6be9f98 in xpcModuleCtor() /builds/worker/workspace/build/src/js/xpconnect/src/XPCModule.cpp:13:5
[task 2017-09-14T15:37:42.154904Z] 15:37:42     INFO -  GECKO(2211) |     #12 0x7f89cca6ac18 in Initialize() /builds/worker/workspace/build/src/layout/build/nsLayoutModule.cpp:316:8
[task 2017-09-14T15:37:42.158564Z] 15:37:42     INFO -  GECKO(2211) |     #13 0x7f89c54092a8 in Load /builds/worker/workspace/build/src/xpcom/components/nsComponentManager.cpp:763:21
[task 2017-09-14T15:37:42.160104Z] 15:37:42     INFO -  GECKO(2211) |     #14 0x7f89c54092a8 in nsFactoryEntry::GetFactory() /builds/worker/workspace/build/src/xpcom/components/nsComponentManager.cpp:1785
[task 2017-09-14T15:37:42.178286Z] 15:37:42     INFO -  GECKO(2211) |     #15 0x7f89c540a5bd in nsComponentManagerImpl::CreateInstanceByContractID(char const*, nsISupports*, nsID const&, void**) /builds/worker/workspace/build/src/xpcom/components/nsComponentManager.cpp:1083:41
[task 2017-09-14T15:37:42.179889Z] 15:37:42     INFO -  GECKO(2211) |     #16 0x7f89c5401aab in nsComponentManagerImpl::GetServiceByContractID(char const*, nsID const&, void**) /builds/worker/workspace/build/src/xpcom/components/nsComponentManager.cpp:1446:10
[task 2017-09-14T15:37:42.188529Z] 15:37:42     INFO -  GECKO(2211) |     #17 0x7f89c54104c1 in CallGetService /builds/worker/workspace/build/src/xpcom/components/nsComponentManagerUtils.cpp:67:43
[task 2017-09-14T15:37:42.190098Z] 15:37:42     INFO -  GECKO(2211) |     #18 0x7f89c54104c1 in nsGetServiceByContractID::operator()(nsID const&, void**) const /builds/worker/workspace/build/src/xpcom/components/nsComponentManagerUtils.cpp:280
[task 2017-09-14T15:37:42.205447Z] 15:37:42     INFO -  GECKO(2211) |     #19 0x7f89c52d4953 in nsCOMPtr_base::assign_from_gs_contractid(nsGetServiceByContractID, nsID const&) /builds/worker/workspace/build/src/xpcom/base/nsCOMPtr.cpp:95:7
[task 2017-09-14T15:37:42.261974Z] 15:37:42     INFO -  GECKO(2211) |     #20 0x7f89c54a84bb in nsCOMPtr /builds/worker/workspace/build/src/obj-firefox/dist/include/nsCOMPtr.h:928:5
[task 2017-09-14T15:37:42.264706Z] 15:37:42     INFO -  GECKO(2211) |     #21 0x7f89c54a84bb in NS_InitXPCOM2 /builds/worker/workspace/build/src/xpcom/build/XPCOMInit.cpp:709
[task 2017-09-14T15:37:42.310055Z] 15:37:42     INFO -  GECKO(2211) |     #22 0x7f89cfc4b264 in Initialize /builds/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:1587:8
[task 2017-09-14T15:37:42.313123Z] 15:37:42     INFO -  GECKO(2211) |     #23 0x7f89cfc4b264 in XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) /builds/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:4857
[task 2017-09-14T15:37:42.316141Z] 15:37:42     INFO -  GECKO(2211) |     #24 0x7f89cfc4c6ab in XRE_main(int, char**, mozilla::BootstrapConfig const&) /builds/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:4956:21
[task 2017-09-14T15:37:42.317532Z] 15:37:42     INFO -  GECKO(2211) |     #25 0x4ebc03 in do_main /builds/worker/workspace/build/src/browser/app/nsBrowserApp.cpp:236:22
[task 2017-09-14T15:37:42.319701Z] 15:37:42     INFO -  GECKO(2211) |     #26 0x4ebc03 in main /builds/worker/workspace/build/src/browser/app/nsBrowserApp.cpp:309
[task 2017-09-14T15:37:42.323259Z] 15:37:42     INFO -  GECKO(2211) |     #27 0x7f89e374a82f in __libc_start_main /build/glibc-bfm8X4/glibc-2.23/csu/../csu/libc-start.c:291
[task 2017-09-14T15:37:42.324607Z] 15:37:42     INFO -  GECKO(2211) | ==2211==ABORTING

Comment 1

3 months ago
1 failures in 1032 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399938&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 2

3 months ago
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399938&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 3

3 months ago
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399938&startday=2017-09-25&endday=2017-10-01&tree=all
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: 2 months ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.